package com.qmth.distributed.print.business.service;

import com.qmth.distributed.print.business.entity.TBTaskPdf;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.common.bean.result.TbTaskDetailResult;
import com.qmth.teachcloud.common.entity.SysUser;
import com.qmth.teachcloud.common.enums.TaskResultEnum;
import com.qmth.teachcloud.common.enums.TaskStatusEnum;
import com.qmth.teachcloud.common.enums.TaskTypeEnum;

import java.util.Map;

/**
 * <p>
 * 导入导出任务表 服务类
 * </p>
 *
 * @author xf
 * @since 2024-02-06
 */
public interface TBTaskPdfService extends IService<TBTaskPdf> {

    boolean updateStatusById(TaskStatusEnum status, TaskResultEnum result, String summary, Long id);

    TBTaskPdf saveTask(TbTaskDetailResult tbTaskDetailResult, TaskTypeEnum createPdf, Long printPlanId, SysUser user, Long id);
}
